﻿@model AllwinHairdresserSalon.Models.Reservation

@{
    ViewData["Title"] = "Make reservation";
}

<h1>Make reservation</h1>

<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Create">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="StartTime" class="control-label">Please select the date and time</label>
                <input asp-for="StartTime" class="form-control" />
                <span asp-validation-for="StartTime" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="HaircutType" class="control-label">Please select the type of the haircut</label>
                <br>
                <select asp-for="HaircutType" asp-items="Html.GetEnumSelectList<HaircutType>()">
                    <option>Select haircut...</option>
                </select>
                <br>
                <span asp-validation-for="HaircutType" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to my reservations</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
